Subject: Re: linux-next: build failure after merge of the mm-unstable tree

From: Mark Brown <[email-masked]>
Date: Wed, 18 Mar 2026 19:08:24 +0000

On Wed, Mar 18, 2026 at 11:20:01AM -0700, Andrew Morton wrote:
> On Wed, 18 Mar 2026 13:51:01 +0000 Mark Brown <[email-masked]> wrote:

> > Diff in /tmp/next/build/drivers/android/binder/page_range.rs:762:
> >      if let Some(unchecked_vma) = mmap_read.vma_lookup(vma_addr) {
> >          if let Some(vma) = check_vma(unchecked_vma, range_ptr) {
> >              let user_page_addr = vma_addr + (page_index << PAGE_SHIFT);
> > -        vma.zap_vma_range(user_page_addr, PAGE_SIZE);
> > +            vma.zap_vma_range(user_page_addr, PAGE_SIZE);
> >          }
> >      }

> > Caused by commit

> >   320e410f0294b (mm: rename zap_page_range_single() to zap_vma_range())

> > I have used the tree from next-20260317 instead.

> huh, is this python?

There's standard formatting for Rust, though it's not syntactic like it
is for Python.

> --- a/drivers/android/binder/page_range.rs~mm-rename-zap_page_range_single-to-zap_vma_range-fix
> +++ a/drivers/android/binder/page_range.rs
> @@ -762,7 +762,7 @@ unsafe extern "C" fn rust_shrink_free_pa
>      if let Some(unchecked_vma) = mmap_read.vma_lookup(vma_addr) {
>          if let Some(vma) = check_vma(unchecked_vma, range_ptr) {
>              let user_page_addr = vma_addr + (page_index << PAGE_SHIFT);
> -        vma.zap_vma_range(user_page_addr, PAGE_SIZE);
> +            vma.zap_vma_range(user_page_addr, PAGE_SIZE);
>          }
>      }

That should be it, yes.